<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Lịch sử học tập</title>

	<!-- Google Font: Source Sans Pro -->
	<link rel="stylesheet"
		href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
	<!-- Font Awesome -->
	<link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
	<!-- Theme style -->
	<link rel="stylesheet" href="dist/css/adminlte.min.css">
	<!-- daterange picker -->
	<link rel="stylesheet" href="plugins/daterangepicker/daterangepicker.css">
	<!-- Select2 -->
	<link rel="stylesheet" href="plugins/select2/css/select2.min.css">
	<link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
</head>

<body class="hold-transition sidebar-mini layout-fixed">
	<div class="wrapper">
		<!-- Navbar -->
		<nav class="main-header navbar navbar-expand navbar-white navbar-light">
			<ul class="navbar-nav">
				<li class="nav-item">
					<a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
				</li>
				<li class="nav-item d-none d-sm-inline-block">
					<a href="#" class="nav-link">Lịch sử học tập</a>
				</li>
			</ul>

			<!-- Right navbar links -->
			<ul class="navbar-nav ml-auto">
				<li class="nav-item">
					<a class="nav-link" data-widget="fullscreen" href="#" role="button">
						<i class="fas fa-expand-arrows-alt"></i>
					</a>
				</li>
			</ul>
		</nav>
		<!-- /.navbar -->
		<!-- Main Sidebar Container -->
		<aside class="main-sidebar sidebar-dark-primary elevation-4">
			<!-- Brand Logo -->
			<a href="#" class="brand-link">
				<span class="brand-text font-weight-light">Devcamp</span>
			</a>

			<!-- Sidebar -->
			<div class="sidebar">

				<!-- Sidebar Menu -->
				<nav class="mt-2">
					<ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
						<!-- Add icons to the links using the .nav-icon class
                 with font-awesome or any other icon font library -->
						<li class="nav-item">
							<a href="#" class="nav-link">
								<i class="nav-icon fas fa-tachometer-alt"></i>
								<p>
									Ui Element
									<i class="right fas fa-angle-left"></i>
								</p>
							</a>
							<ul class="nav nav-treeview">
								<li class="nav-item">
									<a href="#" class="nav-link">
										<i class="far fa-circle nav-icon"></i>
										<p>Chart JS</p>
									</a>
								</li>
								<li class="nav-item">
									<a href="#" class="nav-link">
										<i class="far fa-circle nav-icon"></i>
										<p>Select2</p>
									</a>
								</li>
								<li class="nav-item">
									<a href="#" class="nav-link">
										<i class="far fa-circle nav-icon"></i>
										<p>Date ranger picker</p>
									</a>
								</li>
							</ul>
						</li>
						<li class="nav-item">
							<a href="index.html" class="nav-link active">
								<i class="nav-icon fas fa-th"></i>
								<p>
									Danh sách người dùng
								</p>
							</a>
						</li>
					</ul>
				</nav>
				<!-- /.sidebar-menu -->
			</div>
			<!-- /.sidebar -->
		</aside>
		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">
			<!-- Content Header (Page header) -->
			<div class="content-header">
				<div class="container-fluid">
					<div class="row mb-2">
						<div class="col-sm-6">
							<h1 class="m-0">Lịch sử học tập</h1>
						</div><!-- /.col -->
						<div class="col-sm-6">
							<ol class="breadcrumb float-sm-right">
								<li class="breadcrumb-item"><a href="#">Home</a></li>
								<li class="breadcrumb-item active">Lịch sử học tập</li>
							</ol>
						</div><!-- /.col -->
					</div><!-- /.row -->
				</div><!-- /.container-fluid -->
			</div>
			<!-- /.content-header -->
			<!-- Main content -->
			<section class="content">
				<div class="container-fluid">
					<div class="jumbotron container">
						<h3 class="form-group font-weight-bold">Lọc bảng điểm:</h3>
						<div class="row form-group">
							<div class="col-sm-2">
								<label for="student">Student</label>
							</div>
							<div class="col-sm-3">
								<select class="form-control select2" id="gRoleSelectStudent" style="width: 100%;">
									<option value="none">Chọn một sinh viên</option>
								</select>
							</div>
							<div class="col-sm-2">
								<label for="subject">Subject</label>
							</div>
							<div class="col-sm-3">
								<select class="form-control select2" id="gRoleSelectSubject" style="width: 100%;">
									<option value="none">Chọn một môn học</option>
								</select>
							</div>
							<div class="col-sm-2">
								<button id="btn-filter-data" class="btn btn-info">Lọc dữ liệu</button>
							</div>
						</div>
					</div>

					<div class="container">
						<button class="btn btn-success btn-lg" id="btn-add-student">+Thêm</button>
					</div>

					<div class="container mt-3">
						<table class="table table-bordered table-striped table-hover" id="student-grade-table">
							<thead>
								<tr>
									<th>STT</th>
									<th>Student</th>
									<th>Môn học</th>
									<th>Điểm</th>
									<th>Ngày thi</th>
									<th>Actions</th>
								</tr>
							</thead>
						</table>
					</div>

					<!-- Modal delete 1 record grade  -->
					<div class="modal fade" tabindex="-1" id="delete-confirm-modal">
						<div class="modal-dialog">
							<div class="modal-content">
								<div class="modal-header">
									<h5 class="modal-title" id="h5-modal-title">Student Grade Delete Confirmation</h5>
									<button class="close" data-dismiss="modal">&times;</button>
								</div>
								<div class="modal-body">
									<label>Bạn có chắc chắn muốn xóa grade này không?</label>
								</div>
								<div class="modal-footer">
									<button class="btn btn-danger" id="btn-confirm-delete-student-grade">Confirm</button>
									<button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
								</div>
							</div>
						</div>
					</div>

					<!-- Modal create new grade -->
					<div class="modal fade" id="modal-create-grade" tabindex="-1">
						<div class="modal-dialog">
							<div class="modal-content">
								<div class="modal-header">
									<h5 class="modal-title">Create new grade for student</h5>
									<button type="button" class="close" data-dismiss="modal" aria-label="Close">
										<span aria-hidden="true">&times;</span>
									</button>
								</div>
								<div class="modal-body">
									<form>
										<div class="row form-group">
											<label class="col-form-label col-sm-4">Tên sinh viên</label>
											<div class="col-sm-8">
												<select class="form-control select2" id="create-grade-student" style="width: 100%;">
													<option value="none">Chọn 1 sinh viên</option>
												</select>
											</div>
										</div>
										<div class="row form-group">
											<label class="col-form-label col-sm-4">Môn học</label>
											<div class="col-sm-8">
												<select class="form-control select2" id="create-grade-subject" style="width: 100%;">
													<option value="none">Chọn 1 môn học</option>
												</select>
											</div>
										</div>
										<div class="row form-group">
											<label class="col-form-label col-sm-4">Điểm</label>
											<div class="col-sm-8">
												<input type="number" class="form-control" id="input-create-grade">
											</div>
										</div>
										<div class="row form-group">
											<label class="col-form-label col-sm-4">Ngày thi</label>
											<div class="col-sm-8">
												<div class="input-group date" id="reservationdate" data-target-input="nearest">
													<input type="text" readonly class="form-control datetimepicker-input"
														data-target="#reservationdate" />
													<div class="input-group-append" data-target="#reservationdate" data-toggle="datetimepicker">
														<div class="input-group-text"><i class="fa fa-calendar"></i></div>
													</div>
												</div>
											</div>
										</div>
									</form>
								</div>
								<div class="modal-footer">
									<button type="button" class="btn btn-success" id="btn-create-grade">Create</button>
									<button type="button" class="btn btn-danger" data-dismiss="modal">Cancel</button>
								</div>
							</div>
						</div>
					</div>

					<!-- Modal student detail/edit-->
					<div class="modal fade" id="modal-student-detail" tabindex="-1">
						<div class="modal-dialog">
							<div class="modal-content">
								<div class="modal-header">
									<h5 class="modal-title">Student detail information</h5>
									<button type="button" class="close" data-dismiss="modal" aria-label="Close">
										<span aria-hidden="true">&times;</span>
									</button>
								</div>
								<div class="modal-body">
									<form>
										<div class="row form-group">
											<label class="col-form-label col-sm-4">Tên sinh viên</label>
											<div class="col-sm-8">
												<select class="form-control select2" id="update-grade-student" style="width: 100%;">
													<option value="none">Chọn 1 sinh viên</option>
												</select>
											</div>
										</div>
										<div class="row form-group">
											<label class="col-form-label col-sm-4">Môn học</label>
											<div class="col-sm-8">
												<select class="form-control select2" id="update-grade-subject" style="width: 100%;">
													<option value="none">Chọn 1 môn học</option>
												</select>
											</div>
										</div>
										<div class="row form-group">
											<label class="col-form-label col-sm-4">Điểm</label>
											<div class="col-sm-8">
												<input type="text" class="form-control" id="input-grade">
											</div>
										</div>
										<div class="row form-group">
											<label class="col-form-label col-sm-4">Ngày thi</label>
											<div class="col-sm-8">
												<div class="input-group date" id="reservationdate2" data-target-input="nearest">
													<input type="text" readonly class="form-control datetimepicker-input-2"
														data-target="#reservationdate" />
													<div class="input-group-append" data-target="#reservationdate2" data-toggle="datetimepicker">
														<div class="input-group-text"><i class="fa fa-calendar"></i></div>
													</div>
												</div>
											</div>
										</div>
									</form>
								</div>
								<div class="modal-footer">
									<button type="button" class="btn btn-success" id="btn-update-student">Update</button>
									<button type="button" class="btn btn-danger" data-dismiss="modal">Cancel</button>
								</div>
							</div>
						</div>
					</div>
				</div><!-- /.container-fluid -->
			</section>
			<!-- /.content -->
		</div>
		<!-- /.content-wrapper -->
		<footer class="main-footer">
			<strong>Copyright &copy; 2014-2022 Devcamp.</strong>
			All rights reserved.
			<div class="float-right d-none d-sm-inline-block">
				<b>Version</b> 1.0.0
			</div>
		</footer>
	</div>
	<!-- jQuery -->
	<script src="plugins/jquery/jquery.min.js"></script>
	<!-- Bootstrap 4 -->
	<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
	<!-- Select2 -->
	<script src="plugins/select2/js/select2.full.min.js"></script>
	<!-- InputMask -->
	<script src="plugins/moment/moment.min.js"></script>
	<script src="plugins/inputmask/jquery.inputmask.min.js"></script>
	<!-- date-range-picker -->
	<script src="plugins/daterangepicker/daterangepicker.js"></script>
	<!-- Tempusdominus Bootstrap 4 -->
	<script src="plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js"></script>
	<!-- DataTable -->
	<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
	<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

	<!-- AdminLTE App -->
	<script src="dist/js/adminlte.js"></script>
	<script src="student_grade_script.js"></script>
	<script>
		//Initialize Select2 Elements
		$('.select2').select2({
			theme: 'bootstrap4'
		})

		$("#update-grade-student").select2({
			theme: 'bootstrap4',
			dropdownParent: $("#modal-student-detail") //Để sử dụng dc phần search option trong modal
		})

		$("#update-grade-subject").select2({
			theme: 'bootstrap4',
			dropdownParent: $("#modal-student-detail")
		})

		$("#create-grade-student").select2({
			theme: 'bootstrap4',
			dropdownParent: $("#modal-create-grade")
		})

		$("#create-grade-subject").select2({
			theme: 'bootstrap4',
			dropdownParent: $("#modal-create-grade")
		})

		//Date picker
		$('#reservationdate').datetimepicker({
			format: 'L'
		});
		$('#reservationdate2').datetimepicker({
			format: 'L',
			dropdownParent: $("#modal-student-detail")
		});

	</script>
</body>

</html>